{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "groups/manage_group_base.html" %}

{% block content %}
  <div class="card">
    {% include "groups/snippets/manage_group_menu.html" %}

    <div class="card-header">
      <ul class="nav nav-tabs card-header-tabs">
        {% snippet "nav_item",
                   url=url_for("groups.view_group", id=group.id, tab="revisions"),
                   body='<i class="fas fa-chevron-left"></i>' %}

        {% snippet "nav_item",
                   url=url_for("groups.view_revision", group_id=group.id, revision_id=revision.id),
                   body="<strong>{}</strong>".format(_("Revision")) %}
      </ul>
    </div>
    <div class="card-body">
      <revision-info endpoint="{{ url_for('api.get_group_revision', group_id=group.id, revision_id=revision.id,
                                          _internal=True) }}">
      </revision-info>
    </div>
  </div>
{% endblock %}
